# Pie Plots (DP\_PIE)

Pie plots, also known as pie charts, are a simple and effective way to visualize data proportions or percentages in a circular format. They are particularly useful for displaying categorical data and showing the distribution or composition of different categories within a whole. Each category is represented by a wedge-shaped slice, with the size of the slice corresponding to the proportion or percentage it represents. Pie plots provide a quick and intuitive

## Sample Request

```javascript
{
    "project_id": 1,
    "block_id": ,
    "parent_id": 0,
    "function_code": "DP_PIE",
    "args": {
        "dataset": "http://cloud.autogonai.s3.amazonaws.com/1a65c19c-b891-4be3-bbfe-ed5c5ec58207.csv"
    }
}
```

## Parameter Details

## Pie Plots

<mark style="color:green;">`POST`</mark> `https://autogon.ai/api/v1/engine/start`

#### Request Body

| Name                                             | Type   | Description                        |
| ------------------------------------------------ | ------ | ---------------------------------- |
| project\_id<mark style="color:red;">\*</mark>    | int    | current project ID                 |
| parent\_id<mark style="color:red;">\*</mark>     | int    | parent block ID                    |
| block\_id<mark style="color:red;">\*</mark>      | int    | current block ID                   |
| function\_code<mark style="color:red;">\*</mark> | String | block's function code              |
| args<mark style="color:red;">\*</mark>           | object | block arguments                    |
| dataset<mark style="color:red;">\*</mark>        | String | URL for dataset to be plotted from |

{% tabs %}
{% tab title="200: OK Data Encode Successful" %}

```javascript
{
    "status": "true",
    "message": {
        "id": 3,
        "project": 1,
        "block_id": 7,
        "parent_id": 6,
        "dataset_url": "",
        "x_value_url": "",
        "y_value_url": ""
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Python" %}

```
// Some code
```

{% endtab %}

{% tab title="Node" %}

```
projectId = 1
parentId = 6
blockId = 7

client.array_reshaping(projectId, parentId, blockId, {

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autogon.ai/autogon-engine-studio/data-visualization/pie-plots-dp_pie.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
